#!/bin/bash
scriptname=myepicslogin.sh
targetdir=/u/epics/EPICS-3.14.9
#set -x -v #uncomment for debugging

# make sure script is sourced
if [ $(basename $0) == $scriptname ]
then 
  echo script \`${scriptname}\' has to be sourced, i.e. called with a leading \`. $scriptname\'
  exit -1
fi

#take targetdir from prompt
if [ $# -eq 1 ]
then
  targetdir=$1
fi	

oldbase=$PWD
if [ ! -d ${targetdir} ]
then
  echo cannot acces \`${targetdir}\' ... exiting
  return -1
fi
cd /u/epics/EPICS-3.14.9

. ./epicslogin.sh -v -H $PWD -B $PWD/base-3.14.9 -A $PWD/fcn_addtopath.bash

cd $oldbase
unset scriptname oldbase
